- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# cpm_plugcontrol – Get and Set Plug actions on WTI OOB and PDU power devices

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Get and Set Plug actions on WTI OOB and PDU devices

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
cpm_action - / required | Choices: getplugcontrol setplugcontrol | This is the Action to send the module.
cpm_password - |  | This is the Password of the WTI device to send the module.
cpm_url - / required |  | This is the URL of the WTI device to send the module.
cpm_username - |  | This is the Username of the WTI device to send the module.
plug_id - / required |  | This is the plug number or the plug name that is to be manipulated For the plugget command, the plug_id 'all' will return the status of all the plugs the user has rights to access.
plug_state - | Choices: on off boot default | This is what action to take on the plug.
use_https boolean | Choices: no yes ← | Designates to use an https connection or http connection.
use_proxy boolean | Choices: no ← yes | Flag to control if the lookup will observe HTTP proxy environment variables when present.
validate_certs boolean | Choices: no yes ← | If false, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates.

## Examples

    # Get Plug status for all ports
    - name: Get the Plug status for ALL ports of a WTI device
      cpm_plugcontrol:
        cpm_action: "getplugcontrol"
        cpm_url: "rest.wti.com"
        cpm_username: "restpower"
        cpm_password: "restfulpowerpass12"
        use_https: true
        validate_certs: true
        plug_id: "all"

    # Get Plug status for port 2
    - name: Get the Plug status for the given port of a WTI device
      cpm_plugcontrol:
        cpm_action: "getplugcontrol"
        cpm_url: "rest.wti.com"
        cpm_username: "restpower"
        cpm_password: "restfulpowerpass12"
        use_https: true
        validate_certs: false
        plug_id: "2"

    # Reboot plug 5
    - name: Reboot Plug 5 on a given WTI device
      cpm_plugcontrol:
        cpm_action: "setplugcontrol"
        cpm_url: "rest.wti.com"
        cpm_username: "restpower"
        cpm_password: "restfulpowerpass12"
        use_https: true
        plug_id: "5"
        plug_state: "boot"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data string | always | The output JSON returned from the commands sent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Western Telematic Inc. (@wtinetworkgear)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.